<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Administração</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" content="Reúne várias ferramentas úteis na parte de exatas e humanas. Interpreta expressões matemáticas, compostos químicos, elementos químicos, palavras, textos, URLs">
<meta name="keywords" content="exatas, humanas, expressões matemáticas, fração geratriz, dízima periódica, calculadora, diagrama, linus pauling, dicionário, tradução, compostos">
<link rel="shortcut icon" href="img/icone.png">
</head>
<body>
<span class='centro'>
<center><b>Administração</b></center>
<b>Número de linhas</b>
<br>
<br>
<table border="1">
<tr><td>Arquivo</td><td>Total de linhas</td><td>Linhas em php</td><td>Proporção</td></tr>
<?php
// Conta o número de linhas do projeto
$soma_total = 0;
$soma_codigo = 0;
$arquivos = array();

// Encontra os arquivos
$scan = scandir('.');
foreach ($scan as $arquivo) {
	$ext = substr($arquivo, strrpos($arquivo, '.'));
	if ($ext == '.php' || $ext == '.html' || $ext == '.js' || $ext == '.css' || $ext == '.as') {
		$arquivos[] = $arquivo;
	}
}

foreach ($arquivos as $arq) {
	// Abre cada arquivo e conta o número de linhas
	
	// Declarações iniciais
	$php = false;
	$total = 0;
	$codigo = 0;
	
	// Obtém seu conteúdo
	$file = file($arq);
	
	foreach ($file as $linha) {
		// Percorre cada linha
		$linha = trim($linha);
		
		if ($linha == '<?php') {
			// Começa o PHP
			$php = true;
		}
		
		// Faz a contagem
		$total++;
		if ($php) {
			$codigo++;
		}
		
		if ($linha == '?>') {
			// Termina o PHP
			$php = false;
		}
	}
	
	// Mostra o resultado
	$soma_total += $total;
	$soma_codigo += $codigo;
	$porcem = round(100*$codigo/$total) . '%';
	echo "<tr><td>$arq</td><td>$total</td><td>$codigo</td><td>$porcem</td></tr>\n";
}

// Mostra o total
echo "<tr><td>Total</td><td>$soma_total (" . round($soma_total/30) . " pgs)</td><td>$soma_codigo (" . round($soma_codigo/30) . ' pgs)</td><td>' . round(100*$soma_codigo/$soma_total, 1) . "%</td></tr>\n";
?>
</table>
</span>
</body>
</html>